// nova-tourism/components/home/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {

    },

    /**
     * 组件的初始数据
     */
    data: {
        //屏幕高度
        statusBarHeight: 0, // 状态栏高度
        screenHeight: 0, // 屏幕高度
        customHeight: 0, // 自定义导航栏高度（如小程序右上角胶囊按钮）
        bottomNavHeight: 0, // 底部导航栏高度
        contentHeight: 0, // 可用内容高度
        //  轮播图数组
        //卡片数组
        cardarr: [1, 2, 3, 4, 5, 6, 7],
        //日历
        date_start: '',
        date_end:'',
        week_start:'',
        week_end:'',
        show: false,
    },
    lifetimes: {

        detached: function () {
            // 在组件实例被从页面节点树移除时执行
        },
        attached: async function () {
            // 在组件实例进入页面节点树时执行
            // 计算
            const systemInfo = wx.getSystemInfoSync();
            const statusBarHeight = systemInfo.statusBarHeight || 0;
            const screenHeight = systemInfo.screenHeight || 0;
            const custom = wx.getMenuButtonBoundingClientRect();
            const customHeight = custom.height + 10 + 2 || 0;
            const bottomNavHeight = systemInfo.screenHeight - systemInfo.safeArea.bottom || 0;

            const contentpadding = (statusBarHeight + customHeight) * 750 / systemInfo.windowWidth;
            const contentHeight = (screenHeight - bottomNavHeight - 50 - statusBarHeight - customHeight) * 750 / systemInfo.windowWidth;
            this.setData({
                statusBarHeight,
                screenHeight,
                customHeight,
                bottomNavHeight,
                contentHeight,
                contentpadding
            });
            console.log(this.data.contentHeight);
        },
    },
    /**
     * 组件的方法列表
     */
    methods: {

        //选择日期
        //打开日历
        onDisplay() {
            this.setData({ show: true });
          },
          //关闭日历
          onClose() {
            this.setData({ show: false });
          },
          formatDate(date) {
            date = new Date(date);
            console.log(date);
            return `${date.getMonth() + 1}月${date.getDate()}日`;
          },
          onConfirm(event) {
            const [start, end] = event.detail;
            this.setData({
              show: false,
              date_start: `${this.formatDate(start)} `,
              date_end:`${this.formatDate(end)}`
            });
            console.log(this.data.date_start,this.data.date_end);
          },
    }
})